#
# spec file for package gap-grape
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-grape
Summary:        GAP: GRaph Algorithms using PErmutation groups
Version:        4.7
Release:        lp150.1.2
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            http://www.maths.qmul.ac.uk/~leonard/grape/

#DL-URL:        https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/grape4r7.tar.bz2
# Original tarball has bundled third-party code with a Non-Commercial clause
Source:         grape4r7.tar.xz
Source8:        sanitize_source.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
Requires:       gap-core >= 4.5
Requires:       nauty

%description
GRAPE is a package for computing with graphs and groups, and is
primarily designed for constructing and analysing graphs related to
groups, finite geometries, and designs.

%prep
%setup -qn grape
rm -f doc/.Rhistory

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Thu Sep 14 2017 jengelh@inai.de
- Update to new upstream release 4.7
  * The user may run their own copy of dreadnaut and bliss.
* Fri May 10 2013 jengelh@inai.de
- Split grape (version 4.6.1) off the gap RPM package
